6.0.0-git
2019-03-19

[#12496] "Settings" over icon with Horde_Core-2.6.3
Summary "Settings" over icon with Horde_Core-2.6.3
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester samuel.wolf (at) wolf-maschinenbau (dot) de
Created 2013-07-24 (2064 days ago)
Due
Updated 2013-08-06 (2051 days ago)
Assigned 2013-07-29 (2059 days ago)
Resolved 2013-08-06 (2051 days ago)
Milestone
Patch No

History
2013-08-06 15:27:40 Jan Schneider State ⇒ Resolved
 
2013-08-06 15:27:26 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit 7cc003c648eea4236aff3eafcc1f7aa42bf8f380
Author: Jan Schneider <jan@horde.org>
Date:   Tue Aug 6 17:26:24 2013 +0200

     [jan] Remove text overlaying menu icon (Bug #12496).

  framework/Core/package.xml |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/7cc003c648eea4236aff3eafcc1f7aa42bf8f380
2013-08-06 15:27:22 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (master):

commit 062efef1af23eb8264814f52ef340fb893c2851a
Author: Jan Schneider <jan@horde.org>
Date:   Tue Aug 6 17:24:40 2013 +0200

     Don't set alternate text (Bug #12496).

     Give up on supporting broken rendering engines of a browser 
that's not supposed
     to use this interface anway (Bug #11937).

  framework/Core/lib/Horde/Core/Topbar.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/062efef1af23eb8264814f52ef340fb893c2851a
2013-07-29 20:15:44 Michael Slusarz Comment #13
State ⇒ Assigned
Reply to this comment
Re-opening and assigning to Jan to look at when he gets back.

There are definitely some concerns regarding making formatting changes 
in a package that break the existing layout (as opposed to changes 
that fix the current issue without breaking the existing layout).
2013-07-29 19:09:25 mark (at) mark (dot) net Comment #12 Reply to this comment
The fix you posted works for me as well
2013-07-29 01:54:21 kareem (dot) dana (at) gmail (dot) com Comment #11 Reply to this comment
No, that is incorrect.  *This* is stale CSS - I saw the same thing
and cleared my CSS cache and it was fixed.
I see the same problem in a fresh install of Horde 5.1.2. I had no 
stale CSS to clear. Could you link to the CSS change in github that 
fixed this?
I found a change to horde/themes/default/screen.css at the bottom of 
the github.com link from  Michael Rubinsky below in this bug report. I 
assume that may be the css change necessary. I did not have that css 
in my screen.css (This is a default horde 5.1.2 install from pear). I 
put it in (cleared any cached css) and it did not work. However, 
copying the text-indent: -10000px; line from the selector 
".horde-icon-settings a" to just ".horde-icon-settings" did fix the 
issue.  The "Settings" alternative text is no longer visible.

To be clear, here is what that part of my 
horde/themes/default/screen.css looks like now:

.horde-icon-settings {
     background-image: url("graphics/settings.png");
     background-repeat: no-repeat;
     text-indent: -10000px;
}

.horde-icon-settings:hover {
     background-image: url("graphics/settings-active.png");
}

.horde-icon-settings a {
     width: 22px;
     height: 27px;
     text-indent: -10000px;
}


2013-07-29 01:22:55 kareem (dot) dana (at) gmail (dot) com Comment #10 Reply to this comment
No, that is incorrect.  *This* is stale CSS - I saw the same thing
and cleared my CSS cache and it was fixed.
I see the same problem in a fresh install of Horde 5.1.2. I had no 
stale CSS to clear. Could you link to the CSS change in github that 
fixed this?

2013-07-26 11:14:29 l (dot) kiraly (at) madalbal (dot) hu Comment #9 Reply to this comment
No, that is incorrect.  *This* is stale CSS - I saw the same thing 
and cleared my CSS cache and it was fixed.
For me, clearing the browser cache doesn't fix this problem.

Horde version: git master
2013-07-25 08:04:34 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #8 Reply to this comment
Although this could get into a discussion of how to handle these 
kind of fixes... since it is possible to run a version of Horde_Core 
without requiring upgrading Horde (with the necessary CSS updates).   
This is a limitation of the way we distribute our 
applications/packages.
I must be careful in future with pear upgrade, but how do I know which 
package I can update?
2013-07-24 18:58:43 Michael Slusarz Comment #7 Reply to this comment
You haven't updated your CSS.  Or you need the latest version of
Horde, which contains the CSS changes.
Jan's comment on the mentioned ticked suggests it's not stale CSS:

http://bugs.horde.org/ticket/?searchfield=11937&x=0&y=0#c10
No, that is incorrect.  *This* is stale CSS - I saw the same thing and 
cleared my CSS cache and it was fixed.

His comment deals with some browsers where the gear icon will be 
displayed and the text will appear AFTER the icon.  If the text is 
appearing UNDERNEATH the icon, the CSS is not updated.

Although this could get into a discussion of how to handle these kind 
of fixes... since it is possible to run a version of Horde_Core 
without requiring upgrading Horde (with the necessary CSS updates).   
This is a limitation of the way we distribute our applications/packages.
2013-07-24 18:41:34 Michael Rubinsky Comment #6 Reply to this comment
You haven't updated your CSS.  Or you need the latest version of 
Horde, which contains the CSS changes.
Jan's comment on the mentioned ticked suggests it's not stale CSS:

http://bugs.horde.org/ticket/?searchfield=11937&x=0&y=0#c10
2013-07-24 18:20:07 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #5
New Attachment: settings_icon.png Download
Reply to this comment
Where? What icon? Doing what?
sorry forgot to upload the attachment.
2013-07-24 17:52:18 Michael Slusarz Comment #4
State ⇒ Not A Bug
Reply to this comment
You haven't updated your CSS.  Or you need the latest version of 
Horde, which contains the CSS changes.
2013-07-24 17:36:28 Michael Rubinsky Comment #3
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
2013-07-24 17:31:23 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Where? What icon? Doing what?
2013-07-24 17:25:03 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ "Settings" over icon with Horde_Core-2.6.3
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
After update of Horde_Core to 2.6.3 the word "Settings" is over the icon.
Downgrade to Horde_Core 2.6.2 solve the problem.

Saved Queries